dots.v2.microvms.byMicrovm_id().console.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.microvms.byMicrovm_id(microvm_id).console.get(requestConfiguration?: RequestConfiguration<ConsoleRequestBuilderGetQueryParameters>): Promise<undefined | ArrayBuffer>Description
To open an interactive /bin/sh console in a MicroVM’s workload container, open a
WebSocket connection to wss://api.digitalocean.com/v2/microvms/{microvm_id}/console.
Send the API token in the Authorization header of the handshake. Browsers cannot set this
header, so you cannot open the console from browser JavaScript. The image must include
/bin/sh. A MicroVM can have four consoles open at a time. If the MicroVM is paused and
auto-resume is on, opening a console resumes it.
Parameters
Path Parameters
microvm_idstring requiredExample:
01a0ef1a-d873-793d-ae6a-5dd6239be62aThe unique ID of the MicroVM.
Query Parameters
rowsinteger optionalExample:
24The initial number of terminal rows.
colsinteger optionalExample:
80The initial number of terminal columns.
Request Sample
More Information
See /v2/microvms/{microvm_id}/console in the API reference for additional detail on responses, headers, parameters, and more.